grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.7-23-gebfc465


From: Jim Meyering
Subject: grep branch, master, updated. v2.7-23-gebfc465
Date: Wed, 19 Jan 2011 21:16:23 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  ebfc46553d56ec3ab3feade82e53fac0863fd102 (commit)
       via  955695aea8fac194db07009a8673af3aaa6e0f8c (commit)
      from  01c082a8724de018d5f8876864043df757ea35a8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=ebfc46553d56ec3ab3feade82e53fac0863fd102


commit ebfc46553d56ec3ab3feade82e53fac0863fd102
Author: Jim Meyering <address@hidden>
Date:   Wed Jan 19 22:12:43 2011 +0100

    tests: add a known-to-fail test
    
    * tests/turkish-I: New test.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS): Add here, too.
    Reported by Ilya Basin.

diff --git a/THANKS b/THANKS
index 8c3d0d9..116b9c4 100644
--- a/THANKS
+++ b/THANKS
@@ -37,6 +37,7 @@ H. Merijn Brand            <address@hidden>
 Harald Hanche-Olsen        <address@hidden>
 Hans-Bernhard Broeker      <address@hidden>
 Heikki Korpela             <address@hidden>
+Ilya Basin                 <address@hidden>
 Isamu Hasegawa             <address@hidden>
 Jaroslav Å karvada          <address@hidden>
 Jeff Bailey                <address@hidden>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 0d78d26..7233c01 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -32,6 +32,7 @@ XFAIL_TESTS = \
 if USE_INCLUDED_REGEX
 XFAIL_TESTS += equiv-classes
 endif
+XFAIL_TESTS += turkish-I
 
 TESTS =                                                \
   backref                                      \
@@ -71,6 +72,7 @@ TESTS =                                               \
   spencer1                                     \
   spencer1-locale                              \
   status                                       \
+  turkish-I                                    \
   warn-char-classes                            \
   word-delim-multibyte                         \
   word-multi-file                              \
diff --git a/tests/turkish-I b/tests/turkish-I
new file mode 100755
index 0000000..ac536c4
--- /dev/null
+++ b/tests/turkish-I
@@ -0,0 +1,32 @@
+#!/bin/sh
+# grep -i in UTF-8: missing NL in output on line containing I WITH DOT (U+0130)
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+fail=0
+
+i='\xC4\xB0'
+printf "$i$i$i$i$i$i$i\n" > in || framework_failure_
+
+LC_ALL=en_US.UTF-8 grep -i .... in > out || fail=1
+
+compare out in || fail=1
+
+Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=955695aea8fac194db07009a8673af3aaa6e0f8c


commit ebfc46553d56ec3ab3feade82e53fac0863fd102
Author: Jim Meyering <address@hidden>
Date:   Wed Jan 19 22:12:43 2011 +0100

    tests: add a known-to-fail test
    
    * tests/turkish-I: New test.
    * tests/Makefile.am (TESTS): Add it.
    (XFAIL_TESTS): Add here, too.
    Reported by Ilya Basin.

diff --git a/THANKS b/THANKS
index 8c3d0d9..116b9c4 100644
--- a/THANKS
+++ b/THANKS
@@ -37,6 +37,7 @@ H. Merijn Brand            <address@hidden>
 Harald Hanche-Olsen        <address@hidden>
 Hans-Bernhard Broeker      <address@hidden>
 Heikki Korpela             <address@hidden>
+Ilya Basin                 <address@hidden>
 Isamu Hasegawa             <address@hidden>
 Jaroslav Å karvada          <address@hidden>
 Jeff Bailey                <address@hidden>
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 0d78d26..7233c01 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -32,6 +32,7 @@ XFAIL_TESTS = \
 if USE_INCLUDED_REGEX
 XFAIL_TESTS += equiv-classes
 endif
+XFAIL_TESTS += turkish-I
 
 TESTS =                                                \
   backref                                      \
@@ -71,6 +72,7 @@ TESTS =                                               \
   spencer1                                     \
   spencer1-locale                              \
   status                                       \
+  turkish-I                                    \
   warn-char-classes                            \
   word-delim-multibyte                         \
   word-multi-file                              \
diff --git a/tests/turkish-I b/tests/turkish-I
new file mode 100755
index 0000000..ac536c4
--- /dev/null
+++ b/tests/turkish-I
@@ -0,0 +1,32 @@
+#!/bin/sh
+# grep -i in UTF-8: missing NL in output on line containing I WITH DOT (U+0130)
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+fail=0
+
+i='\xC4\xB0'
+printf "$i$i$i$i$i$i$i\n" > in || framework_failure_
+
+LC_ALL=en_US.UTF-8 grep -i .... in > out || fail=1
+
+compare out in || fail=1
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 THANKS            |    1 +
 tests/Makefile.am |   10 ++++++----
 tests/turkish-I   |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 4 deletions(-)
 create mode 100755 tests/turkish-I


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]